Subject: bug#17815: 24.4.50; (process-file) erroneously raises its buffer when running with TRAMP

From: Michael Albinus <[email-masked]>
Date: Fri, 20 Jun 2014 10:32:30 +0200

Dima Kogan <[email-masked]> writes:

> Hi.

Hi Dima,

> If I change the directory from "/tmp" to any TRAMP path (for instance
> "/sudo::/tmp") then this elisp DOES raise *test-buf*. This difference
> between normal and TRAMP behavior sounds like a bug to me.

I could reproduce it locally. And I agree, it is rather a bug in Tramp,
which I will fix next days (being too busy just now).

@Stefan: This is no regression, I could reproduce it even with Emacs
23.4. Therefore, I will fix it in the trunk. Please tell me if you
believe it shall go into emacs-24.

> Thanks

Thanks for reporting, and best regards, Michael.